using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_useCaseService.Database.Models;

[Table("les2objects")]
[Keyless]
public class Les2Objects
{
    [ForeignKey("id_les")]
    [Column("id_les",Order = 1)]
    public Les Les { get; set; }
    
    [ForeignKey("id_object")]
    [Column("id_object",Order = 2)]
    public Entity Object { get; set; }
}